DeleteAutoSnapshotPolicies
1. API Description
This API (DeleteAutoSnapshotPolicies) is used to delete the specified snapshot schedule.
2. Input Parameters
The following request parameter list only provides API request parameters.
autoSnapshotPolicyIds
Yes
Array of String
ID list of the snapshot schedules to be deleted.
It can be obtained by calling DescribeAutoSnapshotPolicies.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Delete snapshot schedules in batches.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteAutoSnapshotPolicies
<Common Request Params>
Request:
{
"autoSnapshotPolicyIds": ["<autoSnapshotPolicyId>","<autoSnapshotPolicyId>"]
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
HTTP Status Code
Error Code
Description
Last updated